boot-time kernel panic introduced in 4.4.0-18, not present in 4.4.0-15

Bug #1572630 reported by Dale Hamel on 2016-04-20
20
This bug affects 4 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Undecided
Unassigned
Trusty
Undecided
Unassigned
Xenial
Medium
Eric Desrochers
Yakkety
Undecided
Unassigned
linux-lts-xenial (Ubuntu)
Medium
Unassigned
Trusty
Medium
Eric Desrochers
Xenial
Medium
Unassigned
Yakkety
Medium
Unassigned

Bug Description

[Impact]

At boot-time, the kernel will panic somewhere in 'blk_mq_register_disk', a snippet of the track is below, and full panic dump is attached. The panic dump was collected via serial console, as the kernel panics so early that we cannot kdump it.

[ 2.650512] [<ffffffff813ac8a6>] blk_mq_register_disk+0xa6/0x160
[ 2.656675] [<ffffffff813a1b44>] blk_register_queue+0xb4/0x160
[ 2.662661] [<ffffffff813af53e>] add_disk+0x1ce/0x490
[ 2.667869] [<ffffffff815477e0>] loop_add+0x1f0/0x270

[Test Case]

At boot-time, the kernel will panic somewhere in 'blk_mq_register_disk', a snippet of the track is below, and full panic dump is attached.

[Regression Potential]

 * Fix implemented upstream starting with v4.6-rc1

 * The fix is fairly straightfoward given the stack trace.

 * The fix is hard to verify, but user "Proton" was able to confirmed that upstream mainline 4.6-rc1 solve the situation and that the test kernel I have provided including the fix solves this particular problem as well.

Confirmation by Proton :
https://bugs.launchpad.net/ubuntu/+source/linux-lts-xenial/+bug/1572630/comments/23

[Other Info]

 * https://lkml.org/lkml/2016/3/16/40
 * http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=e0e827b9
 * http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=897bb0c7

[Original Description]
We discovered a pretty serious regression introduced in 4.4.0-18.

At boot-time, the kernel will panic somewhere in 'blk_mq_register_disk', a snippet of the track is below, and full panic dump is attached. The panic dump was collected via serial console, as the kernel panics so early that we cannot kdump it.

[ 2.650512] [<ffffffff813ac8a6>] blk_mq_register_disk+0xa6/0x160
[ 2.656675] [<ffffffff813a1b44>] blk_register_queue+0xb4/0x160
[ 2.662661] [<ffffffff813af53e>] add_disk+0x1ce/0x490
[ 2.667869] [<ffffffff815477e0>] loop_add+0x1f0/0x270

This seems somewhat similar to https://lkml.org/lkml/2016/3/16/40, but the trace is not identical.

We discovered this issue when we were experimenting with linux-generic-lts-xenial from trusty-updates on a 14.04 installation. When we installed it, 4.4.0-15 was the current package, and it worked fine and provided a large amount of improvements for us. Background security updates installed 4.4.0-18, and this updated and grub and became the default kernel. On a reboot, the node panics about 2 seconds in, resulting in a machine in a dead state. We were able to boot a rescue image and roll bac kto 4.4.0-15, which works nicely. We currently have pinning on 4.4.0-15 to prevent this problem from coming back, but would prefer to see the problem fixed.

I'll attach lspci, lshw, and dmidecode for our hardware as well, but this is happening on pretty vanilla supermicro nodes. We are able to consistently reproduce it on our hardware. It is not reproducible in EC2, only on metal.

CVE References

Dale Hamel (daleha-gmail) wrote :
Dale Hamel (daleha-gmail) wrote :

Attached is dmidecode

Dale Hamel (daleha-gmail) wrote :

Attached is lspci

Dale Hamel (daleha-gmail) wrote :

add lshw output

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in linux-lts-xenial (Ubuntu):
status: New → Confirmed
Changed in linux-lts-xenial (Ubuntu):
importance: Undecided → Critical
Proton (feisuzhu) wrote :

Same here, but on virtualized environment.

Proton (feisuzhu) wrote :
Download full text (11.6 KiB)

lspci

00:00.0 Host bridge: Intel Corporation 440FX - 82441FX PMC [Natoma] (rev 02)
 Subsystem: Red Hat, Inc Qemu virtual machine
 Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
 Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
 Latency: 0

00:01.0 ISA bridge: Intel Corporation 82371SB PIIX3 ISA [Natoma/Triton II]
 Subsystem: Red Hat, Inc Qemu virtual machine
 Physical Slot: 1
 Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
 Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-

00:01.1 IDE interface: Intel Corporation 82371SB PIIX3 IDE [Natoma/Triton II] (prog-if 80 [Master])
 Subsystem: Red Hat, Inc Qemu virtual machine
 Physical Slot: 1
 Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
 Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
 Latency: 0
 Region 0: [virtual] Memory at 000001f0 (32-bit, non-prefetchable) [size=8]
 Region 1: [virtual] Memory at 000003f0 (type 3, non-prefetchable)
 Region 2: [virtual] Memory at 00000170 (32-bit, non-prefetchable) [size=8]
 Region 3: [virtual] Memory at 00000370 (type 3, non-prefetchable)
 Region 4: I/O ports at c000 [size=16]
 Kernel driver in use: ata_piix

00:01.2 USB controller: Intel Corporation 82371SB PIIX3 USB [Natoma/Triton II] (rev 01) (prog-if 00 [UHCI])
 Subsystem: Red Hat, Inc QEMU Virtual Machine
 Physical Slot: 1
 Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
 Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
 Latency: 0
 Interrupt: pin D routed to IRQ 11
 Region 4: I/O ports at c020 [size=32]
 Kernel driver in use: uhci_hcd

00:01.3 Bridge: Intel Corporation 82371AB/EB/MB PIIX4 ACPI (rev 03)
 Subsystem: Red Hat, Inc Qemu virtual machine
 Physical Slot: 1
 Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
 Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
 Interrupt: pin A routed to IRQ 9
 Kernel driver in use: piix4_smbus

00:02.0 VGA compatible controller: Cirrus Logic GD 5446 (prog-if 00 [VGA controller])
 Subsystem: Red Hat, Inc QEMU Virtual Machine
 Physical Slot: 2
 Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
 Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
 Region 0: Memory at f0000000 (32-bit, prefetchable) [size=32M]
 Region 1: Memory at f2000000 (32-bit, non-prefetchable) [size=4K]
 Expansion ROM at f2010000 [disabled] [size=64K]
 Kernel driver in use: cirrus

00:03.0 RAM memory: Red Hat, Inc Virtio memory balloon
 Subsystem: Red Hat, Inc Device 0005
 Physical Slot: 3
 Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
 Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbor...

Proton (feisuzhu) wrote :
Download full text (8.1 KiB)

falcon-graph
    description: Computer
    product: KVM ()
    vendor: Red Hat
    version: RHEL 6.3.0 PC
    width: 64 bits
    capabilities: smbios-2.4 dmi-2.4 vsyscall32
    configuration: boot=normal family=Red Hat Enterprise Linux uuid=E1EEF4B2-FA7A-41C7-A815-BF5D5437550D
  *-core
       description: Motherboard
       physical id: 0
     *-firmware
          description: BIOS
          vendor: Seabios
          physical id: 0
          version: 0.5.1
          date: 01/01/2007
          size: 96KiB
     *-cpu:0
          description: CPU
          product: Common KVM CPU
          vendor: Intel Corp.
          physical id: 401
          bus info: cpu@0
          slot: CPU 1
          size: 2GHz
          capacity: 2GHz
          width: 64 bits
          capabilities: fpu fpu_exception wp de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat pse36 clflush mmx fxsr sse sse2 syscall nx x86-64 constant_tsc nopl pni cx16 sse4_1 sse4_2 x2apic popcnt aes avx hypervisor lahf_lm
     *-cpu:1
          description: CPU
          product: Common KVM CPU
          vendor: Intel Corp.
          physical id: 402
          bus info: cpu@1
          slot: CPU 2
          size: 2GHz
          capacity: 2GHz
          width: 64 bits
          capabilities: fpu fpu_exception wp de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat pse36 clflush mmx fxsr sse sse2 syscall nx x86-64 constant_tsc nopl pni cx16 sse4_1 sse4_2 x2apic popcnt aes avx hypervisor lahf_lm
     *-cpu:2
          description: CPU
          product: Common KVM CPU
          vendor: Intel Corp.
          physical id: 403
          bus info: cpu@2
          slot: CPU 3
          size: 2GHz
          capacity: 2GHz
          width: 64 bits
          capabilities: fpu fpu_exception wp de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat pse36 clflush mmx fxsr sse sse2 syscall nx x86-64 constant_tsc nopl pni cx16 sse4_1 sse4_2 x2apic popcnt aes avx hypervisor lahf_lm
     *-cpu:3
          description: CPU
          product: Common KVM CPU
          vendor: Intel Corp.
          physical id: 404
          bus info: cpu@3
          slot: CPU 4
          size: 2GHz
          capacity: 2GHz
          width: 64 bits
          capabilities: fpu fpu_exception wp de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat pse36 clflush mmx fxsr sse sse2 syscall nx x86-64 constant_tsc nopl pni cx16 sse4_1 sse4_2 x2apic popcnt aes avx hypervisor lahf_lm
     *-memory
          description: System Memory
          physical id: 1000
          size: 8GiB
        *-bank
             description: DIMM RAM
             physical id: 0
             slot: DIMM 0
             size: 8GiB
             width: 64 bits
     *-pci
          description: Host bridge
          product: 440FX - 82441FX PMC [Natoma]
          vendor: Intel Corporation
          physical id: 100
          bus info: pci@0000:00:00.0
          version: 02
          width: 32 bits
          clock: 33MHz
        *-isa
             description: ISA bridge
             product: 82371SB PIIX3 ISA [Natoma/Triton II]
             vendor: Intel Corporation
             physical id: 1
             bus info: pci@0000:00:01.0
             version: 00
    ...

Read more...

Proton (feisuzhu) wrote :
Download full text (4.2 KiB)

# dmidecode 2.12
SMBIOS 2.4 present.
15 structures occupying 479 bytes.
Table at 0xDFFFFE20.

Handle 0x0000, DMI type 0, 24 bytes
BIOS Information
 Vendor: Seabios
 Version: 0.5.1
 Release Date: 01/01/2007
 Address: 0xE8000
 Runtime Size: 96 kB
 ROM Size: 64 kB
 Characteristics:
  BIOS characteristics not supported
  Targeted content distribution is supported
 BIOS Revision: 1.0

Handle 0x0100, DMI type 1, 27 bytes
System Information
 Manufacturer: Red Hat
 Product Name: KVM
 Version: RHEL 6.3.0 PC
 Serial Number: Not Specified
 UUID: E1EEF4B2-FA7A-41C7-A815-BF5D5437550D
 Wake-up Type: Power Switch
 SKU Number: Not Specified
 Family: Red Hat Enterprise Linux

Handle 0x0300, DMI type 3, 20 bytes
Chassis Information
 Manufacturer: Red Hat
 Type: Other
 Lock: Not Present
 Version: Not Specified
 Serial Number: Not Specified
 Asset Tag: Not Specified
 Boot-up State: Safe
 Power Supply State: Safe
 Thermal State: Safe
 Security Status: Unknown
 OEM Information: 0x00000000
 Height: Unspecified
 Number Of Power Cords: Unspecified

Handle 0x0401, DMI type 4, 32 bytes
Processor Information
 Socket Designation: CPU 1
 Type: Central Processor
 Family: Other
 Manufacturer: Bochs
 ID: 61 0F 00 00 FD F3 8B 07
 Version: Not Specified
 Voltage: Unknown
 External Clock: Unknown
 Max Speed: 2000 MHz
 Current Speed: 2000 MHz
 Status: Populated, Enabled
 Upgrade: Other
 L1 Cache Handle: Not Provided
 L2 Cache Handle: Not Provided
 L3 Cache Handle: Not Provided

Handle 0x0402, DMI type 4, 32 bytes
Processor Information
 Socket Designation: CPU 2
 Type: Central Processor
 Family: Other
 Manufacturer: Bochs
 ID: 61 0F 00 00 FD F3 8B 07
 Version: Not Specified
 Voltage: Unknown
 External Clock: Unknown
 Max Speed: 2000 MHz
 Current Speed: 2000 MHz
 Status: Populated, Enabled
 Upgrade: Other
 L1 Cache Handle: Not Provided
 L2 Cache Handle: Not Provided
 L3 Cache Handle: Not Provided

Handle 0x0403, DMI type 4, 32 bytes
Processor Information
 Socket Designation: CPU 3
 Type: Central Processor
 Family: Other
 Manufacturer: Bochs
 ID: 61 0F 00 00 FD F3 8B 07
 Version: Not Specified
 Voltage: Unknown
 External Clock: Unknown
 Max Speed: 2000 MHz
 Current Speed: 2000 MHz
 Status: Populated, Enabled
 Upgrade: Other
 L1 Cache Handle: Not Provided
 L2 Cache Handle: Not Provided
 L3 Cache Handle: Not Provided

Handle 0x0404, DMI type 4, 32 bytes
Processor Information
 Socket Designation: CPU 4
 Type: Central Processor
 Family: Other
 Manufacturer: Bochs
 ID: 61 0F 00 00 FD F3 8B 07
 Version: Not Specified
 Voltage: Unknown
 External Clock: Unknown
 Max Speed: 2000 MHz
 Current Speed: 2000 MHz
 Status: Populated, Enabled
 Upgrade: Other
 L1 Cache Handle: Not Provided
 L2 Cache Handle: Not Provided
 L3 Cache Handle: Not Provided

Handle 0x1000, DMI type 16, 15 bytes
Physical Memory Array
 Location: Other
 Use: System Memory
 Error Correction Type: Multi-bit ECC
 Maximum Capacity: 8 GB
 Error Information Handle: Not Provided
 Number Of Devices: 1

Handle 0x1100, DMI type 17, 21 bytes
Memory Device
 Array Handle: 0x1000
 Error Information Handle: 0x0000
 Total Width: 64 bits
 Data Width: 64 bits
 Size: 8192 MB
 Form Factor: DIMM
 Set: None
 Locator: DIMM 0
 Bank Locator: Not Spec...

Read more...

Eric Desrochers (slashd) wrote :

There is an upstream fix for this issue.

First introduced upstream in branch : v4.6-rc1

---
commit 897bb0c7f1ea82d7cc882b19790b5e1df00ffc29
Author: Thomas Gleixner <email address hidden>
Date: Sat Mar 19 11:30:33 2016 +0100

    blk-mq: Use proper cpumask iterator

    queue_for_each_ctx() iterates over per_cpu variables under the assumption that
    the possible cpu mask cannot have holes. That's wrong as all cpumasks can have
    holes. In case there are holes the iteration ends up accessing uninitialized
    memory and crashing as a result.

    Replace the macro by a proper for_each_possible_cpu() loop and drop the unused
    macro blk_ctx_sum() which references queue_for_each_ctx().
---

Eric

Eric Desrochers (slashd) wrote :

At first glance, theses 2 commits are needed to fix the issue, 897bb0c7 is the fix but won't build if e0e827b9, since it removes the function "queue_for_each_ctx" that will no longer be defined in the header file after "897bb0c7".

e0e827b9 blk-mq: Reuse hardware context cpumask for tags
897bb0c7 blk-mq: Use proper cpumask iterator

Eric Desrochers (slashd) wrote :

Hi Dale, Proton,

Can you confirm if you can reproduce the problem or not using the mainline kernel v4.6-rc1 found in :

http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.6-rc1-wily/

Eric

Eric Desrochers (slashd) on 2016-07-13
Changed in linux-lts-xenial (Ubuntu):
assignee: nobody → Eric Desrochers (slashd)
assignee: Eric Desrochers (slashd) → nobody
assignee: nobody → Eric Desrochers (slashd)
Proton (feisuzhu) wrote :

@slashd

v4.6-rc1 works as expected.

Eric Desrochers (slashd) wrote :

@Proton, Thanks for the feedback for v4.6-rc1.

Dale, Proton,

I built a test kernel [4.4.0-30.49hf1572630v20160706b2] based on Ubuntu Xenial kernel v4.4.0-30.
It is including the fix introduced upstream in v4.6-rc1 that can be found on my PPA :

$ sudo add-apt-repository ppa:slashd/buglp1572630

Can you please try this 4.4 test kernel and provide feedbacks as well ?

Regards,
Eric

Eric Desrochers (slashd) on 2016-07-21
Changed in linux-lts-xenial (Ubuntu):
status: Confirmed → In Progress
importance: Critical → Medium
Eric Desrochers (slashd) wrote :

@Proton,

It won't work using "wget" or else.

Here's the instruction on how to use a PPA:

$ sudo add-apt-repository ppa:slashd/buglp1572630
$ sudo apt-get update
$ sudo apt-get install linux-image-4.4.0-30-generic=4.4.0-30.49hf1572630v20160706b2 -y
$ sudo apt-get install linux-image-extra-4.4.0-30-generic=4.4.0-30.49hf1572630v20160706b2 -y
$ sudo apt-get install linux-headers-4.4.0-30-generic=4.4.0-30.49hf1572630v20160706b2 -y

## Reboot the sytem and make sure, the boot loader pick the right test kernel ##

Proton (feisuzhu) wrote :

@slashd

Didn't use wget, I am using the procedure you described.

root@10-10-129-197:/home/ubuntu# add-apt-repository ppa:slashd/buglp1572630
 === TEST KERNEL for LP: #1572630 ===
 More info: https://launchpad.net/~slashd/+archive/ubuntu/buglp1572630
Press [ENTER] to continue or ctrl-c to cancel adding it

gpg: keyring `/tmp/tmpnb1s8b51/secring.gpg' created
gpg: keyring `/tmp/tmpnb1s8b51/pubring.gpg' created
gpg: requesting key 698BC1F3 from hkp server keyserver.ubuntu.com
gpg: /tmp/tmpnb1s8b51/trustdb.gpg: trustdb created
gpg: key 698BC1F3: public key "Launchpad PPA for eric.desrochers" imported
gpg: Total number processed: 1
gpg: imported: 1 (RSA: 1)
OK

# apt-get update
......
Hit http://ubuntu.mirrors.ucloud.cn trusty/multiverse i386 Packages
Hit http://ubuntu.mirrors.ucloud.cn trusty/main Translation-en
Hit http://ubuntu.mirrors.ucloud.cn trusty/multiverse Translation-en
Err http://ppa.launchpad.net trusty/main amd64 Packages
  404 Not Found
Err http://ppa.launchpad.net trusty/main i386 Packages
  404 Not Found
Hit http://ubuntu.mirrors.ucloud.cn trusty/restricted Translation-en
Ign http://ppa.launchpad.net trusty/main Translation-en_US
Ign http://ppa.launchpad.net trusty/main Translation-en
Hit http://ubuntu.mirrors.ucloud.cn trusty/universe Translation-en
Ign http://ubuntu.mirrors.ucloud.cn trusty/main Translation-en_US

Eric Desrochers (slashd) wrote :

@Proton,

The test kernel I made is for the Xenial release, not for Trusty.

Do you experience the problem on Trusty ? Originally the problem was reported to my on 16.04 (Xenial) so this is why I made the test kernel for Xenial only.

I'll work on another test kernel this week (if I have time before going on vacation) based on Xenial kernel (4.4) but for build for Trusty release.

Regards,
Eric

Proton (feisuzhu) wrote :

@slashd

Yes, we are experiencing this on Trusty (with linux-generic-lts-xenial package).

Eric Desrochers (slashd) wrote :

@proton,

Here's the Xenial v4.4 test kernel for Trusty release.

Instructions:
$ sudo add-apt-repository ppa:slashd/lp1572630-proton
$ sudo apt-get update
$ sudo apt-get install linux-image-4.4.0-34-generic linux-image-extra-4.4.0-34-generic linux-headers-4.4.0-34-generic -y

Then reboot the system, and make sure the bootloader load the "4.4.0-34" kernel.

Validation can be made with command :
$ uname -a

Expected uname output :
Linux <HOSTNAME> 4.4.0-34-generic #53~14.04.1hf1572630v20160802b6-Ubuntu ....

Regards,
Eric

Eric Desrochers (slashd) wrote :

@proton, have you been able to give a try at my test kernel found on "ppa:slashd/lp1572630-proton" ?

Proton (feisuzhu) wrote :

@slashd

Sorry for the delay.

The kernel you provided works as expected, while on the same machine 4.4.0-31 fails.

Eric Desrochers (slashd) wrote :

@proton,

Sorry for the late reply, I was out of the office for a couple of weeks.

Thanks for your feedbacks, I'll submit the patch to be backported into 4.4 kernel.

Note that we will need your help for testing one more time if the patch is accepted into the -proposed archive.

I'll keep you posted !

Eric

Eric Desrochers (slashd) on 2016-08-29
description: updated
description: updated
Eric Desrochers (slashd) on 2016-08-29
description: updated
description: updated
description: updated
Eric Desrochers (slashd) wrote :

Fix submitted to <email address hidden>

Eric Desrochers (slashd) wrote :

Update:

kernel-team acks on the patches.

Eric Desrochers (slashd) wrote :

Patches applied in origin/master-next

For more details:
https://wiki.ubuntu.com/KernelTeam/Newsletter

Eric

Tim Gardner (timg-tpi) on 2016-08-31
Changed in linux (Ubuntu Xenial):
status: New → Fix Committed
Changed in linux (Ubuntu Yakkety):
status: New → Fix Released
Changed in linux-lts-xenial (Ubuntu Xenial):
status: New → In Progress
status: In Progress → Invalid
Changed in linux-lts-xenial (Ubuntu Yakkety):
status: In Progress → Invalid
Changed in linux-lts-xenial (Ubuntu Trusty):
status: New → In Progress
Changed in linux (Ubuntu Trusty):
status: New → Invalid
Changed in linux-lts-xenial (Ubuntu Yakkety):
assignee: Eric Desrochers (slashd) → nobody
Changed in linux (Ubuntu Xenial):
assignee: nobody → Eric Desrochers (slashd)
Changed in linux-lts-xenial (Ubuntu Trusty):
assignee: nobody → Eric Desrochers (slashd)
Eric Desrochers (slashd) on 2016-09-13
Changed in linux (Ubuntu Xenial):
importance: Undecided → Medium
Changed in linux-lts-xenial (Ubuntu Trusty):
importance: Undecided → Medium
Brad Figg (brad-figg) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-xenial' to 'verification-done-xenial'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-xenial
Eric Desrochers (slashd) wrote :

proton, Dale Hamel and all.

Please test this proposed kernel. Details can be found in comment #28.

Eric

Eric Desrochers (slashd) on 2016-09-28
Changed in linux-lts-xenial (Ubuntu Xenial):
assignee: nobody → Eric Desrochers (slashd)
status: Invalid → In Progress
importance: Undecided → Medium
Proton (feisuzhu) wrote :

ubuntu@10-10-238-247:~$ apt-cache policy linux-generic-lts-xenial
linux-generic-lts-xenial:
  Installed: 4.4.0.41.30
  Candidate: 4.4.0.41.30
  Version table:
 *** 4.4.0.41.30 0
        500 http://ubuntu.mirrors.ucloud.cn/ubuntu/ trusty-proposed/main amd64 Packages
        100 /var/lib/dpkg/status

ubuntu@10-10-238-247:~$ uname -a
Linux 10-10-238-247 4.4.0-41-generic #61~14.04.1-Ubuntu SMP Tue Sep 27 18:55:22 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux

8 cores vm

works as expected

Eric Desrochers (slashd) on 2016-10-09
tags: added: verification-done-xenial
removed: verification-needed-xenial
Launchpad Janitor (janitor) wrote :
Download full text (17.5 KiB)

This bug was fixed in the package linux - 4.4.0-42.62

---------------
linux (4.4.0-42.62) xenial; urgency=low

  * Fix GRO recursion overflow for tunneling protocols (LP: #1631287)
    - tunnels: Don't apply GRO to multiple layers of encapsulation.
    - gro: Allow tunnel stacking in the case of FOU/GUE

  * CVE-2016-7039
    - SAUCE: net: add recursion limit to GRO

linux (4.4.0-41.61) xenial; urgency=low

  [ Kamal Mostafa ]

  * Release Tracking Bug
    - LP: #1628204

  * nvme drive probe failure (LP: #1626894)
    - (fix) NVMe: Don't unmap controller registers on reset

linux (4.4.0-40.60) xenial; urgency=low

  [ Kamal Mostafa ]

  * Release Tracking Bug
    - LP: #1627074

  * Permission denied in CIFS with kernel 4.4.0-38 (LP: #1626112)
    - Fix memory leaks in cifs_do_mount()
    - Compare prepaths when comparing superblocks
    - SAUCE: Fix regression which breaks DFS mounting

  * Backlight does not change when adjust it higher than 50% after S3
    (LP: #1625932)
    - SAUCE: i915_bpo: drm/i915/backlight: setup and cache pwm alternate
      increment value
    - SAUCE: i915_bpo: drm/i915/backlight: setup backlight pwm alternate
      increment on backlight enable

linux (4.4.0-39.59) xenial; urgency=low

  [ Joseph Salisbury ]

  * Release Tracking Bug
    - LP: #1625303

  * thunder: chip errata w/ multiple CQEs for a TSO packet (LP: #1624569)
    - net: thunderx: Fix for issues with multiple CQEs posted for a TSO packet

  * thunder: faulty TSO padding (LP: #1623627)
    - net: thunderx: Fix for HW issue while padding TSO packet

  * CVE-2016-6828
    - tcp: fix use after free in tcp_xmit_retransmit_queue()

  * Sennheiser Officerunner - cannot get freq at ep 0x83 (LP: #1622763)
    - SAUCE: (no-up) ALSA: usb-audio: Add quirk for sennheiser officerunner

  * Backport E3 Skylake Support in ie31200_edac to Xenial (LP: #1619766)
    - EDAC, ie31200_edac: Add Skylake support

  * Ubuntu 16.04 - Full EEH Recovery Support for NVMe devices (LP: #1602724)
    - SAUCE: nvme: Don't suspend admin queue that wasn't created

  * ISST-LTE:pNV: system ben is hung during ST (nvme) (LP: #1620317)
    - blk-mq: Allow timeouts to run while queue is freezing
    - blk-mq: improve warning for running a queue on the wrong CPU
    - blk-mq: don't overwrite rq->mq_ctx

  * lsattr 32bit does not work on 64bit kernel (Inappropriate ioctl error)
    (LP: #1619918)
    - btrfs: bugfix: handle FS_IOC32_{GETFLAGS, SETFLAGS, GETVERSION} in
      btrfs_ioctl

  * radeon: monitor connected to onboard VGA doesn't work with Xenial
    (LP: #1600092)
    - drm/radeon/dp: add back special handling for NUTMEG

  * initramfs includes qle driver, but not firmware (LP: #1623187)
    - qed: add MODULE_FIRMWARE()

  * [Hyper-V] Rebase Hyper-V to 4.7.2 (stable) (LP: #1616677)
    - hv_netvsc: Implement support for VF drivers on Hyper-V
    - hv_netvsc: Fix the list processing for network change event
    - Drivers: hv: vmbus: Introduce functions for estimating room in the ring
      buffer
    - Drivers: hv: vmbus: Use READ_ONCE() to read variables that are volatile
    - Drivers: hv: vmbus: Export the vmbus_set_event() API
    - lcoking/barriers, arch: Use smp barriers...

Changed in linux (Ubuntu Xenial):
status: Fix Committed → Fix Released
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (17.5 KiB)

This bug was fixed in the package linux-lts-xenial - 4.4.0-42.62~14.04.1

---------------
linux-lts-xenial (4.4.0-42.62~14.04.1) trusty; urgency=low

  * Fix GRO recursion overflow for tunneling protocols (LP: #1631287)
    - tunnels: Don't apply GRO to multiple layers of encapsulation.
    - gro: Allow tunnel stacking in the case of FOU/GUE

  * CVE-2016-7039
    - SAUCE: net: add recursion limit to GRO

linux (4.4.0-41.61) xenial; urgency=low

  [ Kamal Mostafa ]

  * Release Tracking Bug
    - LP: #1628204

  * nvme drive probe failure (LP: #1626894)
    - (fix) NVMe: Don't unmap controller registers on reset

linux (4.4.0-40.60) xenial; urgency=low

  [ Kamal Mostafa ]

  * Release Tracking Bug
    - LP: #1627074

  * Permission denied in CIFS with kernel 4.4.0-38 (LP: #1626112)
    - Fix memory leaks in cifs_do_mount()
    - Compare prepaths when comparing superblocks
    - SAUCE: Fix regression which breaks DFS mounting

  * Backlight does not change when adjust it higher than 50% after S3
    (LP: #1625932)
    - SAUCE: i915_bpo: drm/i915/backlight: setup and cache pwm alternate
      increment value
    - SAUCE: i915_bpo: drm/i915/backlight: setup backlight pwm alternate
      increment on backlight enable

linux (4.4.0-39.59) xenial; urgency=low

  [ Joseph Salisbury ]

  * Release Tracking Bug
    - LP: #1625303

  * thunder: chip errata w/ multiple CQEs for a TSO packet (LP: #1624569)
    - net: thunderx: Fix for issues with multiple CQEs posted for a TSO packet

  * thunder: faulty TSO padding (LP: #1623627)
    - net: thunderx: Fix for HW issue while padding TSO packet

  * CVE-2016-6828
    - tcp: fix use after free in tcp_xmit_retransmit_queue()

  * Sennheiser Officerunner - cannot get freq at ep 0x83 (LP: #1622763)
    - SAUCE: (no-up) ALSA: usb-audio: Add quirk for sennheiser officerunner

  * Backport E3 Skylake Support in ie31200_edac to Xenial (LP: #1619766)
    - EDAC, ie31200_edac: Add Skylake support

  * Ubuntu 16.04 - Full EEH Recovery Support for NVMe devices (LP: #1602724)
    - SAUCE: nvme: Don't suspend admin queue that wasn't created

  * ISST-LTE:pNV: system ben is hung during ST (nvme) (LP: #1620317)
    - blk-mq: Allow timeouts to run while queue is freezing
    - blk-mq: improve warning for running a queue on the wrong CPU
    - blk-mq: don't overwrite rq->mq_ctx

  * lsattr 32bit does not work on 64bit kernel (Inappropriate ioctl error)
    (LP: #1619918)
    - btrfs: bugfix: handle FS_IOC32_{GETFLAGS, SETFLAGS, GETVERSION} in
      btrfs_ioctl

  * radeon: monitor connected to onboard VGA doesn't work with Xenial
    (LP: #1600092)
    - drm/radeon/dp: add back special handling for NUTMEG

  * initramfs includes qle driver, but not firmware (LP: #1623187)
    - qed: add MODULE_FIRMWARE()

  * [Hyper-V] Rebase Hyper-V to 4.7.2 (stable) (LP: #1616677)
    - hv_netvsc: Implement support for VF drivers on Hyper-V
    - hv_netvsc: Fix the list processing for network change event
    - Drivers: hv: vmbus: Introduce functions for estimating room in the ring
      buffer
    - Drivers: hv: vmbus: Use READ_ONCE() to read variables that are volatile
    - Drivers: hv: vmbus: Export the vmbus_set_event() API
    - lc...

Changed in linux-lts-xenial (Ubuntu Trusty):
status: In Progress → Fix Released
status: In Progress → Fix Released
Eric Desrochers (slashd) on 2016-10-11
Changed in linux-lts-xenial (Ubuntu Xenial):
assignee: Eric Desrochers (slashd) → nobody
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers